%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  sfsmisc
%global packver   1.1-20
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.1.20
Release:          1%{?dist}%{?buildtag}
Summary:          Utilities from 'Seminar fuer Statistik' ETH Zurich

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.3.0
Requires:         R-core >= 3.3.0
BuildArch:        noarch
BuildRequires:    R-grDevices 
BuildRequires:    R-utils 
BuildRequires:    R-stats 
BuildRequires:    R-tools 
Requires:         R-grDevices 
Requires:         R-utils 
Requires:         R-stats 
Requires:         R-tools 

%description
Useful utilities ['goodies'] from Seminar fuer Statistik ETH Zurich, some
of which were ported from S-plus in the 1990s. For graphics, have pretty
(Log-scale) axes eaxis(), an enhanced Tukey-Anscombe plot, combining
histogram and boxplot, 2d-residual plots, a 'tachoPlot()', pretty arrows,
etc. For robustness, have a robust F test and robust range(). For system
support, notably on Linux, provides 'Sys.*()' functions with more access
to system and CPU information. Finally, miscellaneous utilities such as
simple efficient prime numbers, integer codes, Duplicated(),
toLatex.numeric() and is.whole().

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
